<?php 
/* COPYRIGHT 2005-2006, MANUEL ALDANA, aldana@gmx.de
 * $LastChangedRevision: 177 $
 * $LastChangedDate: 2006-04-30 16:07:02 +0200 (So, 30 Apr 2006) $ */



//MODULE FOR OUTPUT OF HTML-HEADER STUFF

//don't allow direct access
if (!defined('MOD_LOAD_ALLOWED')){
	//for search engines to ignore content with 404 code
	//and users which cannot run this php-script
	header("HTTP/1.x 404 Not Found");
	exit;
} 


//for title string 
include_once($_SERVER['DOCUMENT_ROOT'].'/cms/modules/link_path.php5');
	


/*prints out header tags*/
function mod_header(){
	print get_title_tag();
	print get_cms_meta_tags();
	print get_link_css_tag();
}


/*title tag, which is defined in request page
 * @returns: title-tag, which is set in browser called .php-file*/
function get_title_tag(){
	return "<title>www.aldana-online.de:  ".get_title()."</title>";
}


function get_title(){
	$pathElementLoopTemp=getRootPathElement();
 	while($pathElementLoopTemp!=NULL){
 		$titleString=$titleString.$pathElementLoopTemp->name.'|';
 		$pathElementLoopTemp=$pathElementLoopTemp->getPathChild(); 			
 	} 	  	 	
 	return $titleString;
}

/*getting meta tags of header
 * @returns: meta-tags (keyword+content-type), which are set in browser 
 * called .php-file*/
function get_cms_meta_tags(){
	$keywords=get_keyword_meta_tag();
	$content_type=get_http_equiv_meta_tag();
	return $keywords."\n\t".$content_type;
}

/*keyword meta tag, which is defined in request page
 * @returns: keyword meta tag, which is set in browser called .php-file*/
function get_keyword_meta_tag(){
	return "\t<meta name=\"keywords\" content=\"aldana,".KEYWORDS."\"/>\n";
}

/*equiv meta tag
 * @returns: content-type meta tag*/
function get_http_equiv_meta_tag(){
	return	"<meta http-equiv=\"Content-Type\" content=\"text/html; " .
										"charset=iso-8859-1\"/>";		
}

/*css link tag*/
function get_link_css_tag(){
	return "<link rel=\"stylesheet\" type=\"text/css\" " .
							"href=\"/template/template_css.css\"/>"; 
}
 


?>