<?php 
/* COPYRIGHT 2005-2006, MANUEL ALDANA, aldana@gmx.de
 * $LastChangedRevision: 239 $
 * $LastChangedDate: 2006-05-18 22:07:48 +0200 (Do, 18 Mai 2006) $ */

//MODULE FOR OUTPUT OF MAIN CONTENT 

//don't allow direct access
if (!defined('MOD_LOAD_ALLOWED')){
	//for search engines to ignore content with 404 code
	//and users which are not allowed to run this php-script directly
	header("HTTP/1.x 404 Not Found");
	exit;
} 

//flag so access to content files is possible 
define(MOD_CONTENT_CALL,'1');


/*module interface to display content of site*/
function mod_content(){
	include_once($_SERVER['DOCUMENT_ROOT'].'/cms/modules/link_path.php5');
	include_once($_SERVER['DOCUMENT_ROOT'].'/cms/modules/xml_config_access.php5');
	checkContentFileExists();
	displayCategoryItemLinks();
}

function checkContentFileExists(){
	if(file_exists(getContentFile()))
		include_once(getContentFile());
	else
		throw new Exception("FILE NOT FOUND:". getContentFile()."could not be found");
}
  
function displayCategoryItemLinks(){
	print '<div class="category-items">';
	print '<ul>';	
	foreach(getContentItems() as $DOMContentItem){
		if(isInCategory($DOMContentItem)){
			print '<li>';
			print getInternalContentLink(getContentItemName($DOMContentItem),getContentItemLink($DOMContentItem));
			print '</li>';
		}
	} 
	print '</ul>';			
	print '</div><br/>';	
}

function getCategoryPath(){
	return getContentItemCategory(getCurrentContentItem()).'/'.getCurrentLink().'/';
}

function isInCategory($contentItem){
	//is in category if content link is in category path: e.g. /camphill/children is in category of /camphill/
	if(preg_match('/'.maskSlashes(getCategoryPath()).'$/',getContentItemCategory($contentItem)))
		return true;
	return false;		
}

function maskSlashes($string){
	//slashes need to be masked for regular expression
	return preg_replace('/\/(\/)?/','\/',$string);
}

function getContentFile(){
	//file path is built up through three parts (root of htdocs, content-root, path of current content)
	return DOC_ROOT.getContentRootDestination().getPathOfContent();
}

 
?>