<?php 
/* COPYRIGHT 2005-2006, MANUEL ALDANA, aldana@gmx.de
 * $LastChangedRevision: 223 $
 * $LastChangedDate: 2006-05-14 17:27:50 +0200 (So, 14 Mai 2006) $ */

//don't allow direct access
if (!defined('MOD_LOAD_ALLOWED')){
	//for search engines to ignore content with 404 code
	//and users which are not allowed to run this php-script directly
	header("HTTP/1.x 404 Not Found");
	exit;
} 

include_once($_SERVER["DOCUMENT_ROOT"]."/cms/cms_interface.php5");
class CMS_aldana implements ICMS{
		
	function __construct(){
		//global vars
		//document root, where web-resources are found
		define(DOC_ROOT, $_SERVER['DOCUMENT_ROOT']);
		//path of uri (path followed after domain part)
		define(PATH, $_SERVER['REQUEST_URI']);
	}
	
	//see interface descr.
	function mod_header(){
		include_once($_SERVER["DOCUMENT_ROOT"]."/cms/modules/mod_header.php5");
		mod_header();
	}
	//see interface descr.
	function mod_menu(){
		include_once($_SERVER["DOCUMENT_ROOT"]."/cms/modules/mod_menu.php5");
		mod_menu();
	}
	//see interface descr.
	function mod_content(){
		include_once($_SERVER["DOCUMENT_ROOT"]."/cms/modules/mod_content.php5");
		mod_content();
	}
	//see interface descr.
	function mod_pathway(){
		include_once($_SERVER["DOCUMENT_ROOT"]."/cms/modules/mod_pathway.php5");
		mod_pathway();
	}
	//see interface descr.
	function mod_navigation(){
		include_once($_SERVER["DOCUMENT_ROOT"]."/cms/modules/mod_navigation.php5");
		mod_navigation();
	}
	function mod_param_checker(){
		include_once($_SERVER["DOCUMENT_ROOT"]."/cms/modules/mod_param_checker.php5");
		mod_param_checker();
	}
} 

function createCMS(){
	return new CMS_aldana();
}
?>