<?php 
/* COPYRIGHT 2005-2006, MANUEL ALDANA, aldana@gmx.de
 * $LastChangedRevision: 177 $
 * $LastChangedDate: 2006-04-30 16:07:02 +0200 (So, 30 Apr 2006) $ */

//don't allow direct access
if (!defined('MOD_LOAD_ALLOWED')){
	//for search engines, which ignore content with 404 code
	header("HTTP/1.x 404 Not Found");
	exit;
} 



/*interface content management systems have to implement, 
 * which are structured with following 6 parts:
1)<head> children, like css references meta-tags etc.
2)<body> menu part: all menu items for navigation
3)<body> content-part: all
4)pathway: shows path of content (e.g. home->capitals->berlin)
5)navigation links (e.g. back, forward, link to parent category etc.)
6)checking input parameters, so wrong http parameters get filtered 
*/ 
interface ICMS{
	//output of 1)
	function mod_header();
	//output of 2)
	function mod_menu();
	//output of 3)
	function mod_content();
	//output of 4)
	function mod_pathway();
	//output of 5)
	function mod_navigation();
	//see 6) 
	function mod_param_checker();
}

?>
