<?php 
/* COPYRIGHT 2005-2006, MANUEL ALDANA, aldana@gmx.de
 * $LastChangedRevision: 215 $
 * $LastChangedDate: 2006-05-11 23:28:09 +0200 (Do, 11 Mai 2006) $ */

//don't allow direct access
if (!defined('MOD_LOAD_ALLOWED')){
	//for search engines, which ignore content with 404 code
	header("HTTP/1.x 404 Not Found");
	exit;
} 



/*main entry of module*/
function mod_navigation(){
	//including global functions
	include_once($_SERVER['DOCUMENT_ROOT'].'/cms/modules/xml_config_access.php5');
	include_once($_SERVER['DOCUMENT_ROOT'].'/cms/modules/hyperlink_access.php5');
	include_once($_SERVER['DOCUMENT_ROOT'].'/cms/modules/link_path.php5');
	
	if(hasParentCategory())
		print_parent_category_link();
}

/*prints navigation as link to parent-category*/
function print_parent_category_link(){
	if(is_english(getLanguage()))
		show_english_navigation();
	if(is_german(getLanguage()))		
		show_german_navigation();
}

function getParentCategory(){
	return getLeafPathElement()->pathParent;
}

function hasParentCategory(){
	if(getParentCategory()!=NULL)
		return true;
	return false;		
}

function getParentCategoryLink(){
	return getInternalContentLink(getParentCategory()->name,getParentCategory()->identifier);
}

/*prints navigation bits in english language*/
function show_english_navigation(){
	print 'Back to overview:'.getParentCategoryLink().'.';		
} 

/*prints navigation bits in english language*/
function show_german_navigation(){
	print 'Zurck zur bersicht: '.getParentCategoryLink().'.';
}


function getLanguage(){
	return getContentLanguage(getContentItemByLink(getCurrentLink()));
}

/*checking if language of content item is english
 * @returns: true if language is english, false otherwise*/
function is_english($language){
	if($language=='en')
		return true;
	return false;		
}

/*checking if language of content item is german
 * @returns: true if language is german, false otherwise*/
function is_german($language){
	if($language=='de')
		return true;
	//no language set -> default language is german		
	if($language==NULL)
		return true;
	return false;			
}

?>
