<?php 
/* COPYRIGHT 2005-2006, MANUEL ALDANA, aldana@gmx.de
 * $LastChangedRevision: 245 $
 * $LastChangedDate: 2006-05-23 20:47:59 +0200 (Di, 23 Mai 2006) $ */

//OFFERS FUNCTIONS FOR MORE CONVENIENT HYPERLINK GENERATION 

//don't allow direct access
if (!defined('MOD_LOAD_ALLOWED')){
	//for search engines to ignore content with 404 code
	//and users which are not allowed to run this php-script directly
	header("HTTP/1.x 404 Not Found");
	exit;
} 

//css styles for links 
define(CSS_STYLE_MENU, 'menu');
define(CSS_STYLE_PATHWAY, 'pathway');
define(CSS_STYLE_CONTENT, 'content');

include_once($_SERVER['DOCUMENT_ROOT'].'/cms/modules/xml_config_access.php5');
include_once($_SERVER['DOCUMENT_ROOT'].'/cms/modules/link_path.php5');
include_once($_SERVER['DOCUMENT_ROOT'].'/cms/modules/asserts.php5');


function getInternalMenuLink($name,$link){
	return getInternalLink($name,$link, CSS_STYLE_MENU);
}

function getInternalContentLink($name, $link) {
	return getInternalLink($name, $link, CSS_STYLE_CONTENT);
}


function printInternalContentLink($name,$link){
	print getInternalContentLink($name,$link);
}

function getInternalPathwayLink($linkElement) {
	return getInternalLink($linkElement->name, $linkElement->identifier, CSS_STYLE_PATHWAY);
}

//external links point to a external domains
function printExternalLink($name, $link) {
	//link opens in a new window 
	print "<a href=\"http://$link\" target=\"_blank\" "."class=\"".CSS_STYLE_CONTENT."\"><b>$name</b></a>";
}

//internal links point to own domain
function getInternalLink($name, $link, $style) {
	assertsNotNull($link);
	return "<a href=\"".getDomainURL()."/index.php5?content=$link\" class=\"$style\"><b>$name</b></a>";
}

//you should use this to link to /files/ folder
function printLinkToFile($file,$name){
	assertsNotNull($file);
	print "<a href=\"".getDomainURL()."/files/$file\" class=\"".CSS_STYLE_CONTENT."\"><b>$name</b></a>";
}

?>